CREATE TABLE fun_wf_upload_errors (
    ERROR_ID                 NUMBER(18, 0) ,
    UPLOAD_ID                NUMBER(18, 0)     NOT NULL,
    ERROR_NUMBER             NUMBER(9, 0)  ,
    RULE_DESCRIPTION         VARCHAR2(4000),
    DATA_SET_NAME            VARCHAR2(4000),
    MESSAGE_DESCRIPTION      VARCHAR2(4000),
    MESSAGE_NAME             VARCHAR2(256)     NOT NULL,
    TOKEN_NAME_1             VARCHAR2(256) ,
    TOKEN_VALUE_1            VARCHAR2(512) ,
    TOKEN_NAME_2             VARCHAR2(256) ,
    TOKEN_VALUE_2            VARCHAR2(512) ,
    TOKEN_NAME_3             VARCHAR2(256) ,
    TOKEN_VALUE_3            VARCHAR2(512) ,
    TOKEN_NAME_4             VARCHAR2(256) ,
    TOKEN_VALUE_4            VARCHAR2(512) ,
    TOKEN_NAME_5             VARCHAR2(256) ,
    TOKEN_VALUE_5            VARCHAR2(512) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ERROR_ID                 NUMBER(18, 0) ,
    UPLOAD_ID                NUMBER(18, 0)     NOT NULL,
    ERROR_NUMBER             NUMBER(9, 0)  ,
    RULE_DESCRIPTION         VARCHAR2(4000),
    DATA_SET_NAME            VARCHAR2(4000),
    MESSAGE_DESCRIPTION      VARCHAR2(4000),
    MESSAGE_NAME             VARCHAR2(256)     NOT NULL,
    TOKEN_NAME_1             VARCHAR2(256) ,
    TOKEN_VALUE_1            VARCHAR2(512) ,
    TOKEN_NAME_2             VARCHAR2(256) ,
    TOKEN_VALUE_2            VARCHAR2(512) ,
    TOKEN_NAME_3             VARCHAR2(256) ,
    TOKEN_VALUE_3            VARCHAR2(512) ,
    TOKEN_NAME_4             VARCHAR2(256) ,
    TOKEN_VALUE_4            VARCHAR2(512) ,
    TOKEN_NAME_5             VARCHAR2(256) ,
    TOKEN_VALUE_5            VARCHAR2(512) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_fun_wf_upload_errors PRIMARY KEY (ERROR_ID, ERROR_ID)
);
